# -*- coding: UTF-8 -*-
# -*- python -*-
# Copyright (C) 2007 by Jason Whitlark
#
# This file may be distributed and/or modified under the terms of
# the GNU General Public License version 2 as published by
# the Free Software Foundation.
# This file is distributed without any warranty; without even the implied
# warranty of merchantability or fitness for a particular purpose.
# See "COPYING" in the source distribution for more information.
#
# $Id: nautilus.py.in 115 2006-08-06 23:52:31Z sebest $
#

from sdapplet.pluginutils import *
import subprocess
import webbrowser


class plugin_website_browser:
    def __init__(self):
        self.service_type = ["_http._tcp",  "_https._tcp"]
        self.author = "Jason Whitlark"
        self.description = "Accessing zeroconf web sites using user's preferred browser"

    def connect(self, use_host_names, name, stype, hostname, address, port, txts):
        if use_host_names == True:
            address = hostname
        print "connecting using firefox"
        path = get_txt_value(txts,"path")
        username = get_txt_value(txts,"u")
        password = get_txt_value(txts,"p")
        if stype == "_http._tcp":
            url = build_url("http",address,port, path, username,password)
        if stype == "_https._tcp":
            url = build_url("https",address,port, path, username,password)

	webbrowser.open(url)

def load():
    return plugin_website_browser()
